org.apache.tamaya.integration.cdi

## Class CDIConfiguredMethod

- java.lang.Object
- - org.apache.tamaya.integration.cdi.CDIConfiguredMethod

- All Implemented Interfaces:
    org.apache.tamaya.inject.spi.ConfiguredMethod

      public class CDIConfiguredMethod
      extends Object
      implements org.apache.tamaya.inject.spi.ConfiguredMethod

  Implementation of a configured methods for CDI module.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Object instance, org.apache.tamaya.Configuration config)`
    `Method` | `getAnnotatedMethod()`
    `Collection<String>` | `getConfiguredKeys()`
    `String` | `getName()`
    `Class<?>[]` | `getParameterTypes()`
    `String` | `getSignature()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getConfiguredKeys

          public Collection<String> getConfiguredKeys()

      Specified by:
        `getConfiguredKeys` in interface `org.apache.tamaya.inject.spi.ConfiguredMethod`

    - #### getParameterTypes

          public Class<?>[] getParameterTypes()

      Specified by:
        `getParameterTypes` in interface `org.apache.tamaya.inject.spi.ConfiguredMethod`

    - #### getAnnotatedMethod

          public Method getAnnotatedMethod()

      Specified by:
        `getAnnotatedMethod` in interface `org.apache.tamaya.inject.spi.ConfiguredMethod`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.apache.tamaya.inject.spi.ConfiguredMethod`

    - #### getSignature

          public String getSignature()

      Specified by:
        `getSignature` in interface `org.apache.tamaya.inject.spi.ConfiguredMethod`

    - #### configure

          public void configure(Object instance,
                       org.apache.tamaya.Configuration config)

      Specified by:
        `configure` in interface `org.apache.tamaya.inject.spi.ConfiguredMethod`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.